# ActuatorRelativeTo

## Overview

ActuatorRelativeTo is an Enum specifies the reference coordinatate system in which a physical Constraint operates.

This is used as a RelativeTo property in constraint classes such as LinearVelocity, AngularVelocity, and VectorForce and determines which coordinate system the vector values (velocity, force, angular velocity) are to be interpreted relative to.

## Items

| Name        | Value | Description                                                        |
| ----------- | ----- | ------------------------------------------------------------------ |
| Attachment0 | 0     | Constraint operates based on the coordinate system of Attachment0. |
| Attachment1 | 1     | Constraint operates based on the coordinate system of Attachment1. |
| World       | 2     | Constraint operates based on the world coordinate system.          |

## See also

{% content-ref url="/pages/FMw5E8fklT9nBUtn2BYK" %}
[VectorForce](/development/api-reference/classes/vectorforce.md)
{% endcontent-ref %}

{% content-ref url="/pages/FusLxqJwK8wA5H9rxNSI" %}
[LinearVelocity](/development/api-reference/classes/linearvelocity.md)
{% endcontent-ref %}

{% content-ref url="/pages/yaoMb4Mtuh8MHogzsgqk" %}
[AngularVelocity](/development/api-reference/classes/angularvelocity.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/enums/actuatorrelativeto.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
